# MovieTrackingReconstruction(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``MovieTrackingReconstruction`(bpy_struct)

  Match-moving reconstruction data from tracker

  `average_error`

    Average error of reconstruction

    Type: | float in [-inf, inf], default 0.0, (readonly)

  `cameras`

    Collection of solved cameras

    Type: | `MovieTrackingReconstructedCameras` `bpy_prop_collection` of `MovieReconstructedCamera`, (readonly)

  `is_valid`

    Is tracking data contains valid reconstruction information

    Type: | boolean, default False, (readonly)

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`MovieTracking.reconstruction` | `MovieTrackingObject.reconstruction`